For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
      • GETList or filter all FormSubmission activities
      • GETGet a single FormSubmission activity
      • DELDelete a FormSubmission activity
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesForm Submissions

Get a single FormSubmission activity

||View as Markdown|
GET
https://api.close.com/api/v1/activity/form_submission/:id/
GET
/api/v1/activity/form_submission/:id/
$curl https://api.close.com/api/v1/activity/form_submission/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "_type": "FormSubmission",
3 "activity_at": "2025-01-02T10:30:00.000000+00:00",
4 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
5 "created_by": null,
6 "date_created": "2025-01-02T10:30:00.000000+00:00",
7 "date_updated": "2025-01-02T10:30:00.000000+00:00",
8 "form_configuration_id": "formconf_0325NyQ1X3HplqjyP631at",
9 "form_id": "form_0325NAK3KhCZ3EdJfDldRU",
10 "id": "acti_j0fs4KP22Ngn68GE5kInEcC7JWsbJzXthV1A8WtyZEk",
11 "ip_address": "192.168.1.100",
12 "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
13 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
14 "origin": "https://example.com",
15 "source_url": "https://example.com/contact?utm_source=google&utm_campaign=demo",
16 "source_url_normalized": "example.com/contact",
17 "updated_by": null,
18 "user_id": null,
19 "users": [],
20 "values": {
21 "formfld_0325NAK2ePwMEBJrZZCk5F": "John Doe",
22 "formfld_0325NAK2kjTXTUFwW4i01n": "john@example.com",
23 "formfld_08slbL4D4wR3vOqf28RvhF": true
24 },
25 "values_by_name": {},
26 "created_by_name": null,
27 "updated_by_name": null,
28 "user_name": null
29}
Was this page helpful?
Previous

List or filter all FormSubmission activities

Next

Delete a FormSubmission activity

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
form_configuration_idstring
form_idstring
idstring
ip_addressstring or null
lead_idstring or null
organization_idstring
originstring or null
source_urlstring or null
source_url_normalizedstring or null
updated_bystring or null
user_idstring or null
userslist of strings
valuesmap from strings to nullable strings or booleans
values_by_namemap from strings to nullable strings or booleans
created_by_namestring or null
form_namestring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error